Skip to main content
`Ctrl`+`K`

# PEPLinearSetLinearization

Set the coefficients that define the linearization of a quadratic eigenproblem.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPLinearSetLinearization(PEP pep,PetscReal alpha,PetscReal beta)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- alpha - first parameter of the linearization

- beta - second parameter of the linearization

## Options Database Key

- -pep_linear_linearization alpha,beta - sets the coefficients

## Notes

See section Linearization for the general expressions of the linearizations. Note that the expressions are different depending on `PEPProblemType`.

Cannot pass zero for both `alpha` and `beta`. The default values are `alpha`=1 and `beta`=0.

## See Also

PEP: Polynomial Eigenvalue Problems, Linearization, `PEPLINEAR`, `PEPProblemType`, `PEPLinearGetLinearization()`

## Level

advanced

## Location

src/pep/impls/linear/linear.c

## Implementations

PEPLinearSetLinearization_Linear() in src/pep/impls/linear/linear.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages